CVE-2002-1785
CVSS1.9
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:31:30
NMCOE    

[原文]Cross-site scripting (XSS) vulnerability in Zeus Administration Server in Zeus Web Server 4.0 through 4.1r2 allows remote authenticated users to inject arbitrary web script or HTML via the section parameter to index.fcgi.


[CNNVD]Zeus Web服务器管理界面跨站脚本攻击漏洞(CNNVD-200212-839)

        从Zeus Web Server 4.0 到4.1r2版本Zeus管理服务器存在跨站脚本攻击(XSS)漏洞。远程认证用户借助index.fcgi的section参数注入任意web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 1.9 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:zeus_technologies:zeus_web_server:4.1_r1
cpe:/a:zeus_technologies:zeus_web_server:4.1
cpe:/a:zeus_technologies:zeus_web_server:4.1_r3
cpe:/a:zeus_technologies:zeus_web_server:4.0
cpe:/a:zeus_technologies:zeus_web_server:4.1_r2
cpe:/a:zeus_technologies:zeus_web_server:4.1_r4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1785
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1785
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-839
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/6144
(PATCH)  BID  6144
http://www.iss.net/security_center/static/10567.php
(UNKNOWN)  XF  zeus-admin-index-xss(10567)
http://online.securityfocus.com/archive/1/302961
(VENDOR_ADVISORY)  BUGTRAQ  20021211 Re: Zeus Admin Server v4.1r2 index.fcgi XSS bug
http://archives.neohapsis.com/archives/bugtraq/2002-11/0104.html
(VENDOR_ADVISORY)  BUGTRAQ  20021108 Zeus Admin Server v4.1r2 index.fcgi XSS bug

- 漏洞信息

Zeus Web服务器管理界面跨站脚本攻击漏洞
低危 跨站脚本
2002-12-31 00:00:00 2005-10-20 00:00:00
远程  
        从Zeus Web Server 4.0 到4.1r2版本Zeus管理服务器存在跨站脚本攻击(XSS)漏洞。远程认证用户借助index.fcgi的section参数注入任意web脚本或HTML。

- 公告与补丁

        Customers who are concerned about this vulnerability should upgrade to either Zeus Web Server 4.1r5 (released 19th Nov. 2002) or Zeus Web Server 4.2 (released 21st Nov. 2002).
        Zeus Technologies Zeus Web Server 4.0
        
        Zeus Technologies Zeus Web Server 4.1 r1
        
        Zeus Technologies Zeus Web Server 4.1
        
        Zeus Technologies Zeus Web Server 4.1 r3
        
        Zeus Technologies Zeus Web Server 4.1 r2
        
        Zeus Technologies Zeus Web Server 4.1 r4
        

- 漏洞信息 (22000)

Zeus Web Server 4.0/4.1 Admin Interface Cross Site Scripting Vulnerability (EDBID:22000)
cgi remote
2002-11-08 Verified
0 euronymous
N/A [点击下载]
source: http://www.securityfocus.com/bid/6144/info

The Zeus Web Server contains a web based administration interface that is vulnerable to cross site scripting attacks.

Due to insufficient sanitization of user-supplied input it is possible for an attacker to construct a malicious link which contains arbitrary HTML and script code, which will be executed in the web client of a user who visits the malicious link. It should be noted that the user must authenticate with the administrative interface for the attack to succeed.

The vendor has stated that cookies are not used to store usernames and passwords. 

http://hostname:9090/apps/web/index.fcgi?servers=&section=<script>alert(document.cookie)</script> 		

- 漏洞信息

19947
Zeus Technologies Admin Server index.fcgi section Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Zeus Admin Server contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the section variable upon submission to the index.fcgi script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2002-11-08 Unknow
2002-11-08 Unknow

- 解决方案

Upgrade to version 4.1r5, 4.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站